diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 9d291c27bb3ef6ba5fc2baf6ba10c9ec3b0b735d..07b039b31091e733ef6442c193d2ac7582e95a34 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -2906,10 +2906,7 @@ test_69() {
 	f="$DIR/$tfile"
 	touch $f
 
-	if ! $DIRECTIO write ${f}.2 0 1; then
-		skip "O_DIRECT not implemented"
-		return 0
-	fi
+	$DIRECTIO write ${f}.2 0 1 || error "directio write error"
 
 	#define OBD_FAIL_OST_ENOENT 0x217
 	sysctl -w lustre.fail_loc=0x217